Show / Hide Table of Contents

# Class OpenIddictCoreExtensions

Exposes extensions allowing to register the OpenIddict core services.

##### Inheritance

System.Object
OpenIddictCoreExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictCoreExtensions

### Methods

#### AddCore(OpenIddictBuilder)

Registers the OpenIddict core services in the DI container.

##### Declaration

    public static OpenIddictCoreBuilder AddCore(this OpenIddictBuilder builder)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictBuilder | builder | The services builder used by OpenIddict to register new services.

##### Returns

Type | Description
--- | ---
OpenIddictCoreBuilder | The OpenIddictBuilder.

##### Remarks

This extension can be safely called multiple times.

#### AddCore(OpenIddictBuilder, Action<OpenIddictCoreBuilder>)

Registers the OpenIddict core services in the DI container.

##### Declaration

    public static OpenIddictBuilder AddCore(this OpenIddictBuilder builder, Action<OpenIddictCoreBuilder> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictBuilder | builder | The services builder used by OpenIddict to register new services.
System.Action<OpenIddictCoreBuilder> | configuration | The configuration delegate used to configure the core services.

##### Returns

Type | Description
--- | ---
OpenIddictBuilder | The OpenIddictBuilder.

##### Remarks

This extension can be safely called multiple times.